TYPO3 Core - Bug #61655

Image rescaling breaks/ignores exif orientation
2014-09-16 17:34 - Robotic-Brain no-lastname-given

Status: Closed Start date: 2014-09-16
Priority: Must have Due date:

Assignee: % Done: 0%
Category: Image Generation / GIFBUILDER Estimated time: 0.00 hour
Target version:

TYPO3 Version: 6.2 Complexity:

PHP Version: Is Regression: No

Tags: Sprint Focus:

Description

The f:image view helper does not seem to respect the exif orientation setting of JPEGs.

When uploading JPEGs taken with some kind of phone (like Android), and using the minHeight/minWidth option of the image view
helper, all the images taken in portrait mode get rotated by 90°.

This is really annoying since the only way to fix it is to edit the image, rotate it and remove all exif data.

Related issues:
Related to TYPO3 Core - Bug #69274: Portrait Images rotated while file proces... Closed 2015-08-24

History

#1 - 2015-10-07 14:15 - Claus Due
- Category changed from Fluid to Image Cropping

Moved to image generation category as it applies everywhere, not just in Fluid ViewHelpers.

#2 - 2017-02-10 11:14 - Mathias Brodala
- File Pasted image at 2017_02_10 11_01 AM.png added

Notice that this actually applies to every location which handles resources in TYPO3. If you upload images with EXIF orientation tags, they are
processed without respecting this.

There are great examples in the following repository, simply upload them through the TYPQO3 file module and you'll see that width/height is wrong and
the thumbnails are generated accordingly:

https://github.com/recurser/exif-orientation-examples

To fix this we first need to decide how to handle this:
1. Read the orientation upon indexing and apply it physically: no change necessary in other locations of TYPO3 but this reduces image quality.

2. Store the image orientation in metadata or similar and fix all locations within TYPOS to respect it for processing: obviously a lot more work but
the best solution to leave images unchanged.

#3 - 2017-09-23 19:33 - Riccardo De Contardi
- Related to Bug #69274: Portrait Images rotated while file processing added

#4 - 2017-10-26 15:50 - Susanne Moog
- Category changed from Image Cropping to Image Generation / GIFBUILDER

#5 - 2019-08-05 21:59 - Riccardo De Contardi

- Status changed from New to Closed

This is solved for version 9.5 and higher with #69274 - tested with "Text and Images" CE - therefore | close it.

If you think that this is the wrong decision (or experience the issue again), please reopen it or open a new issue with a reference to this one.
https://github.com/recurser/exif-orientation-examples
https://forge.typo3.org/issues/69274

Thank you and best regards
